#ifndef GRAFICOS_H
#define GRAFICOS_H

#include <string>
#include "StdPijo.h"
#include "GestorRanking.h"
#include "GeneradorAleatorios.h"

using namespace STDP;

//Representa los graficos del juego
class Graficos
{
	public:
		//Constructor
		Graficos();
		
		static void init();
		static void end();

		//Menu		
		static void updateMenu();
		static void setOption(int o) {option=o;}
		static int getOption() {return option;}
		
		//Juego
		static void updateGame(int tablero[][22], int level, int tiempo, int score, bool drawMines);
		static void setManPos(int posX, int posY);
		static void setMinesAround(int mines);

		//ranking
		static void updateRanking(list<Puntuacion> ranking);

		//meter nombre
		static void updateName(string name, int pos);

		//cambio pantalla
		static void updateCambio(int level, int cntFin);		

	private:
		//StdPijo
		static StdPijo *stdp;

		//Menu
		static void dibujarMANY();
		static void dibujarMINES();
		static int menu[25][80];
		static int cntMecha;
		static int option;

		//Juego
		static int manPosX;
		static int manPosY;
		static int minesAround;
		static int cntMinas;

		//cambio level
		static Color *colores;
};

#endif
	
